Name:		polyphone
Version:	2.5.1
Release:	%mkrel 1
Summary:	A soundfont editor for quickly designing musical instruments
License:	GPL-3.0
Group:		Sound/Utilities
URL:		https://www.polyphone-soundfonts.com
Source0:	https://github.com/davy7125/polyphone/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(rtmidi)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisenc)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	stk-devel

%description
Polyphone is an open-source soundfont editor for creating musical
instruments, featuring:
  * editing of sf2, sf3, sfz and sfArk file formats;
  * compatible with jack and asio audio servers;
  * built-in synthesizer, controlled by a virtual keyboard
    or midi signals;
  * automatic recognition of root keys;
  * automatic loop of samples;
  * simultaneous editing of parameters;
  * specific tools for musical instrument creation;
  * recorder to keep a trace of what is played in a .wav file;
  * soundfont browser connected to the online repository.

%prep
%autosetup -p1

%build
pushd sources
%qmake_qt6 PREFIX=%{_prefix}
%make_build
popd

%install
%make_install -C sources install INSTALL_ROOT=%{buildroot}

%files
%doc %{_docdir}/%{name}/
%license LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_metainfodir}/*%{name}*.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/fr/man1/%{name}.1*


%changelog
* Thu Jul 17 2025 daviddavid <daviddavid> 2.5.1-1.mga10
+ Revision: 2256711
- new version: 2.5.1
- switch to Qt6

* Sat Jun 28 2025 umeabot <umeabot> 2.3.0-2.mga10
+ Revision: 2218334
- Mageia 10 Mass Rebuild

* Sun May 21 2023 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1957487
- initial package polyphone (mga#17140)

